package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.InscriptionRepository;
import ovh.herisson.Clyde.Tables.InscriptionRequest;

@Service
public class InscriptionService {

    private final InscriptionRepository inscriptionRepo;
    public void save(InscriptionRequest inscriptionRequest){
        inscriptionRepo.save(inscriptionRequest);
    }

    public InscriptionService(InscriptionRepository inscriptionRepo){
        this.inscriptionRepo = inscriptionRepo;
    }

    public InscriptionRequest getById(long id){
        InscriptionRequest inscriptionRequest = inscriptionRepo.findById(id);

        if (inscriptionRequest == null){
            return null;
        }
        return inscriptionRequest;
    }

    public Iterable<InscriptionRequest> getAll(){
        return inscriptionRepo.findAll();
    }
}